package com.iamberry.wechat.core.entity.customized;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  牙刷定制外部订单url表类
 * @author w
 * @Date 2018-05-30
 */
public class CustomizedExternalUrl  implements  Serializable{
    private static final long serialVersionUID = 4194042066434752390L;
    //id
    private Integer externalUrlId;
    //外部订单号，天猫
    private String externalId;
    //二维码位置
    private String externalImg;
    //创建时间'
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date externalCreateTime;

    public Integer getExternalUrlId(){
        return externalUrlId;
    }

    public void setExternalUrlId(Integer  externalUrlId){
        this.externalUrlId=externalUrlId;
    }

    public String getExternalId(){
        return externalId;
    }

    public void setExternalId(String  externalId){
        this.externalId=externalId;
    }

    public String getExternalImg(){
        return externalImg;
    }

    public void setExternalImg(String  externalImg){
        this.externalImg=externalImg;
    }

    public Date getExternalCreateTime(){
        return externalCreateTime;
    }

    public void setExternalCreateTime(Date  externalCreateTime){
        this.externalCreateTime=externalCreateTime;
    }
}